Bug 111179 - [patch] [maintainer] devel/otrs update to 2.1.6 and switch to statically assigned UID/GID
Summary: [patch] [maintainer] devel/otrs update to 2.1.6 and switch to statically assi...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-03 08:50 UTC by Nick Barkas
Modified: 2007-04-11 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.17 KB, patch)
2007-04-03 08:50 UTC, Nick Barkas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Barkas 2007-04-03 08:50:02 UTC
The current OTRS port does not use a static UID or GID assigned in /usr/ports/UIDs and /usr/ports/GIDs. This patch causes OTRS to use UID and GID 121 when it creates a new user, as that number is currently unassigned. In addition to my patch below, appropriate lines will have to be added to the UIDs and GIDs files.

Also, this upgrades to the latest release of OTRS, 2.1.6.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2007-04-08 16:00:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-04-11 14:25:17 UTC
miwi        2007-04-11 13:25:11 UTC

  FreeBSD ports repository

  Modified files:
    devel/otrs           Makefile distinfo pkg-plist 
    devel/otrs/files     pkg-install.in 
  Removed files:
    devel/otrs/files     patch-bin-SetPermissions.sh 
  Log:
  - Update to 2.1.6
  - Add static UID/GID support
  
  PR:             111179
  Submitted by:   Nick Barkas<snb@threerings.net> (maintainer)
  
  Revision  Changes    Path
  1.8       +1 -2      ports/devel/otrs/Makefile
  1.3       +3 -3      ports/devel/otrs/distinfo
  1.2       +0 -15     ports/devel/otrs/files/patch-bin-SetPermissions.sh (dead)
  1.2       +5 -3      ports/devel/otrs/files/pkg-install.in
  1.4       +2 -0      ports/devel/otrs/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2007-04-11 14:27:47 UTC
State Changed
From-To: open->closed

Committed. Thanks!